
using JuMP
using GLPK
using MathOptInterface

inicio = time()

m = Model(with_optimizer(GLPK.Optimizer))

@variable(m, X1 >= 0)
@variable(m, X2 >= 0)

@objective(m, Max, 3X1 + 5X2)

@constraint(m, depto1, X1 <= 4)
@constraint(m, depto2, 2X2 <= 12)
@constraint(m, depto3, 3X1 + 2X2 <= 18)

print(m)

status = optimize!(m)

println("Utilidad total  : ", JuMP.objective_value(m))
println(X1, "          : ", JuMP.value(X1))
println(X2, "          : ", JuMP.value(X2))

final = time()

println("El tiempo de ejecución fue de ", (final - inicio), " segundos")

# El tiempo de ejecución fue de 0.007441997528076172 segundos

