
using JuMP
using GLPK
using MathOptInterface

inicio = time()

DEPTOS = ["DP1", "DP2", "DP3"]
PRODS = ["Prod1", "Prod2"]

dp = size(DEPTOS)[1]
pd = size(PRODS)[1]

rec_depto = [4, 12, 18]
ut_prod = [3, 5]
t_depto = [1 0; 0 2; 3 2]

m = Model(with_optimizer(GLPK.Optimizer))

@variable(m, X[1:pd] >= 0)

@objective(m, Max, sum(X[i]*ut_prod[i] for i in 1:pd))

@constraint(m, capdep[j = 1:dp], sum(X[i]*t_depto[j,i] for i in 1:pd) <= rec_depto[j])

print(m)

status = optimize!(m)

println("Utilidad total  : ", JuMP.objective_value(m))

for i in 1:pd
    println(X[i],  "            : ", JuMP.value(X[i]))
end

final = time()

println("El tiempo de ejecución fue de ", (final - inicio), " segundos")

# El tiempo de ejecución fue de 0.10396695137023926 segundos

