set NO; #conjunto de nodos(indexado por i,j)

param cx{i in NO};
param cy{i in NO};
param d{i in NO, j in NO: i!=j}:= sqrt(((cx[j]-cx[i])^2) + ((cy[j]-cy[i])^2)); #distancia de la ciudad i a la ciudad j


var X{i in NO, j in NO:i!=j} binary; #binaria=1 si se realiza recorrido de nodo i a j
var U{i in NO:i>0}>=0;               #variable para subtours

minimize distancia_total: sum{i in NO,j in NO: i!=j} (X[i,j]*d[i,j]);

s.t. entrada_nodos{j in NO}: sum{i in NO:i!=j}(X[i,j])=1;
s.t. salida_nodos{i in NO}: sum{j in NO:i!=j}(X[i,j])=1;

s.t. subtours{i in NO, j in NO:i!=j and i>0 and j>0}: U[i]-U[j]+(card(NO)*X[i,j])<=card(NO)-1;

solve;

end;
